import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import { Router } from '@angular/router';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { TraxService } from '../../services/trax.service';
import * as i0 from "@angular/core";
export declare class ChecklistComponent implements OnInit, OnDestroy {
    private pageInfo;
    private traxService;
    gs: GlobalStateService;
    private toast;
    private route;
    private dialog;
    private cd;
    loading: boolean;
    noData: boolean;
    pageSize: number;
    totalItems: number;
    paginationSizes: any;
    checklistData: any;
    private detach;
    dynamicData: any;
    constructor(pageInfo: PageInfoService, traxService: TraxService, gs: GlobalStateService, toast: ToastService, route: Router, dialog: NgbModal, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setPageData(): void;
    getCheckList(): void;
    onSort(column: any): void;
    onPageChange(event: any): void;
    onPageSizeChange(event: any): void;
    redirect(data: any, details: any, checkListType?: any): void;
    publish(event: any, data: any, i: number): void;
    search(): void;
    redirectUrl(type: any): void;
    checkPermission(type: any, data: any): void;
    createChecklist(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChecklistComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChecklistComponent, "lib-checklist", never, {}, {}, never, never, false, never>;
}
